%define prefix /usr
%define name infobash
%define version 3.05
%define summary System info script for irc
%define group Networking/IRC


Name		: %{name}
Version		: %{version}
Release		: %mkrel 1
License		: GPL
Summary		: %{summary}
Group		: %{group}
Provides	: %{name}
Requires	: bash, coreutils, net-tools, procps, pciutils, grep, gawk
BuildRequires	: cpio diffutils file gzip make man mktemp patch tar
URL		: http://svn.berlios.de/svnroot/repos/fullstory/infobash/tags/%{version}
Source		: infobash_%{version}.tar.gz
Source1		: %{name}.1.gz
BuildRoot	: %{_tmppath}/%{name}-%{version}-build
BuildArch	: noarch

%description
Infobash is a system information script for IRC (Internet Relay Chat) clients.
A system information script can display all kinds of things about your
hardware and software to users in a chatroom,  so they can help you diagnose
problems, ... or just marvel at your system specs and kernel version ;)
It was created to serve the need for a infoscript that isn't dependant on a
particular irc client. Because most irc clients support the /exec command, a
script that runs with /exec would be most portable.


%prep
%setup

%build

%install
# Prepare build root
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT/etc
install -d -m 0755 $RPM_BUILD_ROOT/usr/bin
install -d -m 0755 $RPM_BUILD_ROOT/usr/share/apps/konversation/scripts/
#install -d -m 0755 $RPM_BUILD_ROOT/usr/share/man/man1/

#copy files
install -m 0755 infobash $RPM_BUILD_ROOT/usr/bin/infobash
install -m 0644 infobash.conf $RPM_BUILD_ROOT/etc/
#install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/man/man1/%{name}.1.gz
cd $RPM_BUILD_ROOT/usr/share/apps/konversation/scripts/ && ln -fs /usr/bin/infobash

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
/etc/*
/usr/bin/*
/usr/share/apps/konversation/scripts/*
#/usr/share/man/man1/*

%changelog -n infobash

* Mon Jan 19 2009 maik3531 <maik3531@yahoo.de> 3.05-1pclos2009
- update to version - 3.05

* Sat Feb 09 2008 maik3531 <maik3531@web.de> 3.01-1pclos2009
- updated to current version - 3.01

